commit:     173b93d5aa2c36da7daf22fcae1336a17ddad62d
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Tue Apr 27 11:22:49 2021 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Tue Apr 27 14:18:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=173b93d5

dev-java/glassfish-persistence: min java 1.8

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/20555
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 .../glassfish-persistence-1.0-r2.ebuild            | 39 ++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-java/glassfish-persistence/glassfish-persistence-1.0-r2.ebuild 
b/dev-java/glassfish-persistence/glassfish-persistence-1.0-r2.ebuild
new file mode 100644
index 00000000000..1117715835e
--- /dev/null
+++ b/dev-java/glassfish-persistence/glassfish-persistence-1.0-r2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="Glassfish implementation of persistence API"
+HOMEPAGE="https://javaee.github.io/glassfish/";
+SRC_URI="https://download.java.net/javaee5/fcs_branch/promoted/source/glassfish-9_0-b48-src.zip";
+
+LICENSE="CDDL"
+SLOT="0"
+KEYWORDS="amd64 ~ppc64 x86"
+
+BDEPEND="app-arch/unzip"
+DEPEND=">=virtual/jdk-1.8:*"
+RDEPEND=">=virtual/jre-1.8:*"
+
+S="${WORKDIR}/glassfish"
+
+EANT_BUILD_XML="persistence-api/build.xml"
+EANT_BUILD_TARGET="all"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-python2.7-sax-parser.patch
+)
+
+src_prepare() {
+       default
+}
+
+src_install() {
+       cd "${WORKDIR}"/publish/glassfish || die
+       java-pkg_newjar lib/javaee.jar
+
+       insinto /usr/share/${PN}/lib/schemas
+       doins lib/schemas/*.xsd
+}

Reply via email to